### Method

# WPEWebKit Download set_allow_overwrite

since: 2.6

#### Declaration [src]

    void
    webkit_download_set_allow_overwrite (
      WebKitDownload* download,
      gboolean allowed
    )

#### Description [src]

Sets the `WebKitDownload:allow-overwrite` property.

Sets the `WebKitDownload:allow-overwrite` property, which determines whether the download may overwrite an existing file on disk, or if it will fail if the destination already exists.

Available since: 2.6

Sets property | `WPEWebKit.Download:allow-overwrite`

#### Parameters

`allowed`

  Type: `gboolean`

  The new value for the `WebKitDownload:allow-overwrite` property.